//***************************************************************************
//
//  File........: sound.c
//
//  Author(s)...: ATMEL Norway
//
//  Target(s)...: ATmega169
//
//  Compiler....: GCC 3.3.1; avr-libc 1.0
//
//  Description.: AVR Butterfly sound routines
//
//  Revisions...: 1.0
//
//  YYYYMMDD - VER. - COMMENT                                       - SIGN.
//
//  20030116 - 1.0  - Created                                       - LHM
//  20031009          port to gcc/avr-libc                          - M.Thomas
//  20040123          added temp.-var.                              - n.n./mt
//
//***************************************************************************

#include <avr/io.h>
#include <avr/pgmspace.h>
#include <avr/interrupt.h>
#include <inttypes.h>
#include "main.h"
#include "sound.h"
#include "timer0.h"
#include "LCD_functions.h"


//mtA
void PlayClick(void)
{
        unsigned char i;
        for (i = 0; i < 10; i++) {
                sbiBF(PORTB, 5);
                Delay(1);
                cbiBF(PORTB, 5);
                Delay(1);
        }
}
//mtE

void Sound_Init(void)
{
//    TCCR1A = 0xC1;		// turn on fast PWM mode
    TCCR1A = 0x00;			// turn off fast PWM mode
    TCCR1B = 0x09;        	// fast PWM 8 bit   
    
    OCR1AL = 0x10;			// PWM value ...adjusts the Volume, 0x80 gives 50% PWM-> loudest value
							// decreasing or increasing reduces volume    
}
